> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List cell measurements for a cell instance

> List cell measurements for an instance with pagination and filtering.

Filter parameters support Supabase filter operators:
- Text fields (name, created_by_email): Use ``ilike.%value%`` for partial
  match
- Date fields: Use ``gte.value``, ``lte.value``, etc.
- Date range: Use created_at_gt and created_at_lt for between queries



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /cell_instances/{cell_instance_id}/cell_measurements
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /cell_instances/{cell_instance_id}/cell_measurements:
    get:
      tags:
        - Cell Instances
        - Cell Measurements
      summary: List cell measurements for a cell instance
      description: >-
        List cell measurements for an instance with pagination and filtering.


        Filter parameters support Supabase filter operators:

        - Text fields (name, created_by_email): Use ``ilike.%value%`` for
        partial
          match
        - Date fields: Use ``gte.value``, ``lte.value``, etc.

        - Date range: Use created_at_gt and created_at_lt for between queries
      operationId: >-
        list_cell_measurements_cell_instances__cell_instance_id__cell_measurements_get
      parameters:
        - name: cell_instance_id
          in: path
          required: true
          schema:
            type: string
            title: Cell Instance Id
        - name: measurement_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/MeasurementType'
              - type: 'null'
            description: Filter by measurement type
            title: Measurement Type
          description: Filter by measurement type
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 25
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
        - name: created_by_email
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created By Email
        - name: start_time
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start Time
        - name: start_time_gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start Time Gt
        - name: start_time_lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start Time Lt
        - name: created_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At
        - name: created_at_gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At Gt
        - name: created_at_lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At Lt
        - name: updated_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Updated At
        - name: updated_at_gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Updated At Gt
        - name: updated_at_lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Updated At Lt
        - name: order_by
          in: query
          required: false
          schema:
            enum:
              - name
              - created_at
              - updated_at
              - start_time
            type: string
            default: created_at
            title: Order By
        - name: order
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Order
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MeasurementType:
      type: string
      enum:
        - time_series
        - file
        - properties
      title: MeasurementType
      description: |-
        Shape of the data stored in a cell measurement.

        - ``time_series`` — cycling / diagnostic data uploaded as columnar
          time series (and optional step summaries). Default for new
          measurements.
        - ``file`` — an opaque file upload (raw cycler export, image, other
          binary). Metadata about the file is captured in
          ``file_metadata``; the file content lives in object storage.
        - ``properties`` — a flat key/value set of measured properties
          (thickness, mass, DCIR, initial capacity, …) with no time-series
          data. Numeric values use the Quantity format.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````